> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roxom.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Instrument Stats

> Retrieve trading statistics for a specific trading instrument.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/market/instruments/stats
openapi: 3.0.3
info:
  title: Portico API
  version: 0.1.0
servers:
  - url: https://api.roxom.com
security:
  - ApiKey: []
    ApiSignature: []
paths:
  /v1/market/instruments/stats:
    get:
      tags:
        - Market
      summary: Instrument Stats
      description: Retrieve trading statistics for a specific trading instrument.
      operationId: get_v1-market-instruments-stats-0ce0c69f22c4c3f4f3aabe2eaac828f6
      parameters:
        - name: instType
          in: query
          required: false
          schema:
            allOf:
              - $ref: '#/components/schemas/InstrumentType'
            nullable: true
        - name: symbol
          in: query
          required: false
          schema:
            type: string
            nullable: true
        - name: unit
          in: query
          required: false
          schema:
            allOf:
              - $ref: '#/components/schemas/BtcUnits'
            nullable: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_for_InstrumentStatsResponse'
      deprecated: false
components:
  schemas:
    InstrumentType:
      type: string
      enum:
        - perpetual
        - spot
        - btc
        - digital
        - stock
        - index
    BtcUnits:
      type: string
      enum:
        - sats
        - btc
    ApiResponse_for_InstrumentStatsResponse:
      title: ApiResponse_for_InstrumentStatsResponse
      description: Represents a successful API response wrapper
      type: object
      required:
        - data
        - error
      properties:
        data:
          $ref: '#/components/schemas/InstrumentStatsResponse'
        error:
          type: boolean
    InstrumentStatsResponse:
      type: object
      required:
        - list
      properties:
        list:
          type: array
          items:
            $ref: '#/components/schemas/InstrumentStatsDto'
    InstrumentStatsDto:
      type: object
      required:
        - close1d
        - createdAt
        - fundingRate
        - high24h
        - id
        - indexPrice
        - low24h
        - markPrice
        - openInterest
        - openInterestVolume
        - symbol
        - todayHigh
        - todayLow
        - volume24h
      properties:
        close1d:
          type: string
        createdAt:
          type: integer
          format: int64
        fundingRate:
          type: string
        high24h:
          type: string
        id:
          type: string
        indexPrice:
          type: string
        low24h:
          type: string
        markPrice:
          type: string
        openInterest:
          type: string
        openInterestVolume:
          type: string
        symbol:
          type: string
        todayHigh:
          type: string
        todayLow:
          type: string
        volume24h:
          type: string
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: Your API key
    ApiSignature:
      type: apiKey
      in: header
      name: X-API-Signature
      description: The signature of the request

````